Skip to content
Start here

List fleet status aggregate details by dimension

zero_trust.dex.fleet_status.over_time(FleetStatusOverTimeParams**kwargs) -> FleetStatusOverTimeResponse
GET/accounts/{account_id}/dex/fleet-status/over-time

List details for devices using WARP, up to 7 days

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
account_id: str
maxLength32
from_: str

Time range beginning in ISO format

to: str

Time range end in ISO format

colo: Optional[str]

Cloudflare colo

device_id: Optional[str]

Device-specific ID, given as UUID v4

ReturnsExpand Collapse
class FleetStatusOverTimeResponse:
device_stats: Optional[DeviceStats]
by_mode: Optional[List[DeviceStatsByMode]]
timestamp: Optional[str]

Timestamp in ISO format

unique_devices_total: Optional[float]

Number of unique devices

value: Optional[str]
by_status: Optional[List[DeviceStatsByStatus]]
timestamp: Optional[str]

Timestamp in ISO format

unique_devices_total: Optional[float]

Number of unique devices

value: Optional[str]
unique_devices_total: Optional[float]

Number of unique devices

List fleet status aggregate details by dimension

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.zero_trust.dex.fleet_status.over_time(
    account_id="01a7362d577a6c3019a474fd6f485823",
    from_="2023-10-11T00:00:00Z",
    to="2023-10-11T00:00:00Z",
)
print(response.device_stats)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "deviceStats": {
      "byMode": [
        {
          "timestamp": "2023-10-11T00:00:00Z",
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byStatus": [
        {
          "timestamp": "2023-10-11T00:00:00Z",
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "uniqueDevicesTotal": 0
    }
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "deviceStats": {
      "byMode": [
        {
          "timestamp": "2023-10-11T00:00:00Z",
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byStatus": [
        {
          "timestamp": "2023-10-11T00:00:00Z",
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "uniqueDevicesTotal": 0
    }
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}